For the complete documentation index, see llms.txt. This page is also available as Markdown.

Check job

Not all APIs are synchronous. Long-running processes are typically handled as jobs. To check whether a job has finished or to retrieve additional job information, use the following query.

  • Query: getJob

  • Input: $jobId: string

Example request via cURL

curl --location --request POST 'https://app.datasaur.ai/graphql' \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data-raw '{"operationName":"AutoLabelTokenBasedProjectMutation","variables":{"input":{"labelerEmail":"demo@datasaur.ai","options":{"numberOfFilesPerRequest":0,"serviceProvider":"CUSTOM"},"projectId":"HvdyIL2iwZn","targetAPI":{"endpoint":"https://custom-model.api.com/predict","secretKey":"secret"}}},"query":"mutation AutoLabelTokenBasedProjectMutation($input: AutoLabelTokenBasedProjectInput!) {  result: autoLabelTokenBasedProject(input: $input) {    id  status  progress  }}"}'

Below is a more readable version of the request body from cURL command above.

{
    "operationName": "GetJobQuery",
    "variables": {
        "jobId": "AutoLabelQueue:dcbf6ed3-3841-46c1-8f6a-2affb53ac637"
    },
    "query": "query GetJobQuery($jobId: String!) {  result: getJob(jobId: $jobId) {    id  status  progress  }}"
}
  • operationName: you can fill any alphanumeric string in as the operationName. GetJobQuery is fine as a default. Refer to this page to structure operationName properly.

  • query: Copy it from the cURL example above.

Example response

Here is the response when you execute the cURL command above.

If the status is already DELIVERED, then the job is finished.

Last updated

Was this helpful?